Services

You can use Services to manage services on local or remote computers.

  • To find features that have been moved in Windows XP, see New ways to do familiar tasks.
  • For tips about using Services, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


New ways to do familiar tasks

The following table lists common tasks for configuring services. The user interface for performing these tasks is different from the way it was in Windows NT version 4.0.

Note

  • XOX
If you want to | In Windows NT 4.0 use | In Windows XP use
Start, stop, pause, resume, or restart services on remote and local computers | Service Control Panel | Open Services. For more information, see Start, stop, pause, resume, or restart a service.


Best practices

  • Use caution when changing default settings.

    Changing the default settings for services might prevent key services from running correctly. It is especially important to use caution when changing the Startup Type and Log On As settings of services that are configured to start automatically.

  • Verify that the services can start without user intervention before changing the Startup Type setting.

    If you choose to configure a service to start automatically when the system starts, be sure to perform adequate testing to verify that the services can start without user intervention.

  • Notify connected users before you stop or pause the Server service.

    When you stop the Server service, all users who are connected to the computer over the network are disconnected. Also, the affected computer cannot be administered remotely, so you must start the Server service locally. When you pause the Server service, only users in the local computer's Administrators and Server Operators groups are able to make new connections to the computer.

    When you stop the Server service, it starts automatically when the computer is restarted unless you click Manual or Disabled in Startup type. For more information about configuring service startup, see To configure how a service is started.


How to...

  • Configure how a service is started
  • Start, stop, pause, resume, or restart a service
  • Select an account under which a service will run
  • Enable or disable a service for a hardware profile
  • Set up recovery actions to take place when a service fails
  • View service dependencies
  • Start the Secondary Logon service


Configure how a service is started

Microsoft Windows graphic

To configure how a service is started

  1. Open Services.
  2. Right-click the service that you want to configure, and then click Properties.
  3. On the General tab, in the Startup type box, click Automatic, Manual, or Disabled.
  4. To specify the user account that the service can use to log on, click the Log On tab, and then do one of the following:
    • To specify that the service use the LocalSystem account, click Local System account.
    • To specify that the service use the LocalService account, click This account, and then type NT AUTHORITY\LocalService.
    • To specify that the service use the NetworkService account, click This account, and then type NT AUTHORITY\NetworkService.
    • To specify another account, click This account, click Browse, and then specify a user account in the Select User dialog box. When you are finished, click OK.
  5. Type the password for the user account in the Password box and in the Confirm password box, and then click OK.

Important

  • Changing the default service settings might prevent key services from running correctly. It is especially important to use caution when changing the Startup Type and Log On As settings of services that are configured to start automatically.

Notes

  • XOX
  • XOX
  • If you enable or disable a service and you encounter a problem starting the computer, you might be able to start the computer in safe mode. Then you can change the service configuration or restore the default configuration. For more information, see Related Topics.
  • If you select the Allow service to interact with desktop check box, the service is enabled to provide a user interface on a desktop. This feature is available only if you click Local System account and only if the service is configured to interact with the desktop.
  • For more information about the user accounts that a service uses to log on, see Related Topics.

Related Topics


Start, stop, pause, resume, or restart a service

Microsoft Windows graphic

To start, stop, pause, resume, or restart a service

  1. Open Services.
  2. In the details panel, do one of the following:
    • Select the service. On the Action menu, click Start, Stop, Pause, Resume, or Restart.
    • Right-click the service, and then click Start, Stop, Pause, Resume, or Restart.

Important

  • If you stop, start, or restart a service, any dependent services are also affected.
  • Changing the default service settings might prevent key services from running correctly. It is especially important to use caution when changing the Startup Type and Log On As settings of services that are configured to start automatically.

Notes

  • XOX
  • XOX
  • To configure startup parameters for a service, right-click the service, click Properties, and then type the parameters in Start parameters before you click Start. These settings are used only once and are not saved. (A backslash (\) is treated as an escape character; type two backslashes for each backslash in a parameter.)

Related Topics


Select an account under which a service will run

Microsoft Windows graphic

To select an account under which a service will run

  1. Open Services.
  2. Right-click the service to which you want to assign a user or group account, and then click Properties.
  3. Click the Log On tab, and then do one of the following:
    • To specify that the service use the LocalSystem account, click Local System account.
    • To specify that the service use the LocalService account, click This account, and then type NT AUTHORITY\LocalService.
    • To specify that the service use the NetworkService account, click This account, and then type NT AUTHORITY\NetworkService.
    • To specify another account, click This account, click Browse, and then specify a user account in the Select User dialog box. When you are finished, click OK.
  4. Type the password for the user account in the Password box and in the Confirm password box, and then click OK.

Important

  • Changing the default service settings might prevent key services from running correctly. It is especially important to use caution when changing the Startup Type and Log On As settings of services that are configured to start automatically.

Notes

  • XOX
  • The user account must be configured specifically for logging on to the service. To confirm that the user account is configured correctly, right-click the user account in Local Users and Groups. In the Properties dialog box, on the General tab, confirm that the Password never expires check box is selected, and then click the Member of tab to confirm that the user is a member of the appropriate groups. For more information about Local Users and Groups, see Related Topics.
  • If you select an account that does not have permission to log on as a service, Services automatically grants the appropriate permissions to that account on the computer that you are managing.

Related Topics


Enable or disable a service for a hardware profile

Microsoft Windows graphic

To enable or disable a service for a hardware profile

  1. Open Services.
  2. Right-click the service that you want to enable or disable, and then click Properties.
  3. On the Log On tab, click the hardware profile that you want to configure.
  4. Click Enable or Disable, and then click OK.

Important

  • Changing the default service settings might prevent key services from running correctly. It is especially important to use caution when changing the Startup Type and Log On As settings of services that are configured to start automatically.

Notes

  • XOX
  • If you disable a service for a certain hardware profile, the hardware profile settings overrides the Startup type setting for that service.
  • Use System Properties to create and manage hardware profiles. For more information about creating hardware profiles, see Related Topics.

Related Topics


Set up recovery actions to take place when a service fails

Microsoft Windows graphic

To set up recovery actions to take place when a service fails

  1. Open Services.
  2. Right-click the service for which you want to set recovery actions, and then click Properties.
  3. On the Recovery tab, click the action you want in First failure, Second failure, and Subsequent failures, and then click OK.

Notes

  • XOX
  • Recovery actions are available only on target computers that are running Windows 2000 or Windows XP.
  • If you click Run a File, do not specify programs or scripts that require user input.
  • If you click Reboot the Computer, you can specify how long to wait before restarting the computer by clicking Restart Computer Options. You can also create a message to display to remote users before the computer restarts.

Related Topics


View service dependencies

Microsoft Windows graphic

To view service dependencies

  1. Open Services.
  2. Right-click the service that you want to view, and then click Properties.
  3. Click the Dependencies tab.

Notes

  • XOX
  • The top list on the Dependencies tab identifies the other services that must be running for the selected service to function. The bottom list on the Dependencies tab identifies the services that require the selected service to be running so that they can function properly.

Related Topics


Start the Secondary Logon service

Microsoft Windows graphic

To start the Secondary Logon service

  1. Open Services.
  2. In the Name column, click Secondary Logon.
  3. On the Action menu, click Start.

Notes

  • XOX
  • The Secondary Logon service allows you to run programs (*.exe), saved Microsoft Management Console (MMC) consoles (*.msc), shortcuts to programs and saved MMC consoles, and Control Panel items as an administrator, even while you are logged on to your computer as a member of another group, such as the Users group or the Power Users group.
  • By default, the Secondary Logon service starts automatically when the system starts. For more information about how to configure startup options for services, see Related Topics.
  • The runas command allows a user to run specific tools and programs with different permissions than the user's current logon provides. For more information about this command, see Related Topics.

Related Topics


Concepts

This section provides general background information about Services:

  • Services overview
  • Services permissions
  • Default settings for services


Services overview

A service is an application type that runs in the background and is similar to UNIX daemon applications. Service applications typically provide features such as client/server applications, Web servers, database servers, and other server-based applications to users, both locally and across the network.

You can use Services to:

  • Start, stop, pause, resume, or disable a services on remote and local computers. You must have the appropriate permissions to start, stop, pause, restart, and disable services.
  • Manage services on local and remote computers (on remote computers running Windows XP, Windows 2000, or Windows NT 4.0 only).
  • Set up recovery actions to take place if a service fails, for example, restarting the service automatically or restarting the computer (on computers running Windows XP or Windows 2000 only).
  • Enable or disable services for a particular hardware profile.
  • View the status and description of each service.


Services permissions

Each service has special permissions that you can grant or deny for each user or group. You can set permissions for individual services by using Security Templates. For more information about how to do this, see Security Templates.

Services must log on to an account in order to access resources and objects on the operating system. Some services are configured by default to log on to the Local System account, which is a powerful account that has full access to the system. If a service logs on to the Local System account on a domain controller, that service has access to the entire domain. Other services are configured to log on to LocalService or NetworkService accounts, which are special built-in accounts that are similar to authenticated user accounts. These accounts have the same level of access to resources and objects as members of the Users groups. This limited access helps safeguard your system if individual services or processes are compromised.

Services running as the LocalService account access network resources as a null session with no credentials. Services running as the NetworkService account access network resources using the credentials of the machine account.

For more information about how to configure a service, see To configure how a service is started.

Warning

  • Changing the account under which a service is run might prevent the service from running properly.

The following table lists the individual service permissions that you can apply.

Permission | Allows you to
Full Control | Perform all functions. This permission automatically grants all service permissions to the user.
Query Template | Determine the configuration parameters associated with a service object.
Change Template | Change the configuration of a service.
Query Status | Access information about the status of the service.
Enumerate Dependents | Determine all of the other services that are dependent on the specified service.
Start | Start a service.
Stop | Stop a service.
Pause and Continue | Pause and continue the service.
Interrogate | Report the current status information for the service.
User-Defined Control | Send a user-defined control request, or a request that is specific to the service, to the service.
Delete | Delete a service.
Read Permissions | Read the security permissions assigned to the service.
Change Permissions | Change the security permissions assigned to the service.
Take Ownership | Change a security key or change permission on a service that is not owned by the user.


Default settings for services

If you have a typical installation, many services are configured as "automatic" (that is, they start automatically when the system starts or when the service is called for the first time). If a service is configured as "manual," you must start the service manually before it can be loaded by the operating system and made available for use. If a service is configured as "disabled," it cannot be started automatically or manually. For more information about configuring service startup, see To configure how a service is started. For more information about starting a service from the command line, see Net start.

The following table lists the default services for a typical installation of Windows XP Professional, along with their default startup settings. Your list of services might be different, depending on the components selected during installation and any additional programs that have been installed.

Service | Startup Type | Log On As | Additional information
Alerter | Manual | Local Service |
Application Layer Gateway | Manual | Local Service |
Application Management | Manual | Local System |
Automatic Updates | Automatic | Local System |
Background Intelligent Transfer Service | Manual | Network Service | For information about troubleshooting problems associated with this service, see Background Intelligent Transfer Service (BITS) inactive job timeout.
ClipBook | Manual | Local System |
COM+ Event System | Manual | Local System |
COM+ System Application | Manual | Local System |
Computer Browser | Automatic | Local System |
Cryptographic Services | Automatic | Local System |
DHCP Client | Automatic | Local System |
Distributed Link Tracking Client | Automatic | Local System |
Distributed Transaction Coordinator | Manual | Network Service |
DNS Client | Automatic | Network Service |
Error Reporting | Automatic | Local System |
Event Log | Automatic | Local System |
Fast User Switching Compatibility | Manual | Local System |
Help and Support | Automatic | Local System |
Human Interface Device Access | Disabled | Local System |
IMAPI CD-Burning COM | Manual | Local System |
Indexing Service | Manual | Local System | You can use Indexing Service to index documents and document properties on your disks and store the information in a catalog. For more information, see Indexing Service.
Internet Connection Sharing | Manual | Local System |
IPSec Services | Automatic | Local System |
Logical Disk Manager | Automatic | Local System |
Logical Disk Manager Administrative Service | Manual | Local System |
Messenger | Automatic | Local Service | This service must be running for alert notifications to be received. For more information about performance, see Introduction to Performance. This service must be running on recipient computers so that those computers can receive console messages. For more information about console messages, see Send Console Message.
MS Software Shadow Copy Provider | Manual | Local System |
Net Logon | Automatic | Local System |
NetMeeting Remote Desktop Sharing | Manual | Local System |
Network Connections | Manual | Local System |
Network DDE | Manual | Local System |
Network DDE DSDM | Manual | Local System |
Network Location Awareness (NLA) | Manual | Local System |
NT LM Security Support Provider | Manual | Local System |
Performance Logs and Alerts | Manual | Network Service |
Plug and Play | Automatic | Local System |
Portable media serial number | Automatic | Local System |
Print Spooler | Automatic | Local System | If you are having trouble with a printer not responding, you can try restarting this service. This cancels all pending print jobs.
Protected Storage | Automatic | Local System |
QoS RSVP | Manual | Local System |
Remote Access Auto Connection Manager | Manual | Local System |
Remote Access Connection Manager | Manual | Local System |
Remote Desktop Help Session Manager | Manual | Local System |
Remote Procedure Call (RPC) | Automatic | Local System |
Remote Procedure Call (RPC) Locator | Manual | Network Service |
Remote Registry | Automatic | Local Service | For troubleshooting performance problems relating to this service, see Troubleshooting.
Removable Storage | Manual | Local System |
Routing and Remote Access | Manual | Local System |
Secondary Logon | Automatic | Local System | For more information about the Secondary Logon service, see To start the Secondary Logon service.
Security Accounts Manager | Automatic | Local System |
Server | Automatic | Local System | Stopping this service disconnects any open sessions with a remote computer.
Shell Hardware Detection | Automatic | Local System |
Smart Card | Manual | Local Service |
Smart Card Helper | Manual | Local Service |
SSDP Discovery | Manual | Local Service |
System Event Notification | Automatic | Local System |
System Restore Service | Automatic | Local System |
Task Scheduler | Automatic | Local System |
TCP/IP NetBIOS Helper | Automatic | Local Service |
Telephony | Manual | Local System |
Telnet | Manual | Local System |
Terminal Services | Manual | Local System |
Themes | Automatic | Local System |
Uninterruptable Power Supply | Manual | Local Service |
UPnP Device Host | Manual | Local System |
Upload Manager | Automatic | Local System |
Utility Manager | Manual | Local System |
Volume Shadow Copy | Manual | Local System |
WebClient | Automatic | Local Service |
Windows Audio | Automatic | Local System |
Windows Firewall/Internet Connection Sharing | Automatic | Local System |
Windows Image Acquisition (WIA) | Manual | Local System |
Windows Installer | Manual | Local System |
Windows Management Instrumentation | Automatic | Local System |
Windows Time | Automatic | Local System |
Wireless Zero Configuration service | Automatic | Local System |
WMI Performance Adapter | Manual | Local System |
Workstation | Automatic | Local System |